Status of a write
Whether a write has finished. Both ingest and remember return an operation_id, and a memory is not recallable until its operation completes — extraction, embedding and consolidation all run first.
GET
/
ai
/
memory
/
namespaces
/
{namespace}
/
operations
/
{operation_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const Operation = await client.ai.memory.namespaces.retrieve('namespace', 'operation_id');
console.log(Operation.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
operation = client.ai.memory.namespaces.retrieve(
"namespace",
"operation_id",
)
print(operation.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
namespace, err := client.AI.Memory.Namespaces.Get(
context.TODO(),
"namespace",
"operation_id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", namespace.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.ai().memory().namespaces().retrieve("namespace", "operation_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
operation = telnyx.ai.memory.namespaces.retrieve("namespace", "operation_id")
puts(operation)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$operation = $client->ai->memory->namespaces->retrieve(
'namespace',
'operation_id',
);
var_dump($operation);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:memory:namespaces retrieve \
--api-key 'My API Key' \
--namespace namespace \
--operation-id operation_idcurl --request GET \
--url https://api.telnyx.com/v2/ai/memory/namespaces/{namespace}/operations/{operation_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"operation_id": "op_01HZY4M7Q9",
"status": "completed",
"created_at": "2026-08-26T21:14:07Z",
"completed_at": "2026-08-26T21:14:11Z"
}
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "Could not find any usable credentials in the request.",
"source": {
"pointer": "/"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}{
"errors": [
{
"code": "operation_not_found",
"detail": "no such operation"
}
]
}{
"errors": [
{
"code": "upstream_error",
"detail": "the memory dataplane is unavailable"
}
]
}Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const Operation = await client.ai.memory.namespaces.retrieve('namespace', 'operation_id');
console.log(Operation.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
operation = client.ai.memory.namespaces.retrieve(
"namespace",
"operation_id",
)
print(operation.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
namespace, err := client.AI.Memory.Namespaces.Get(
context.TODO(),
"namespace",
"operation_id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", namespace.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.ai().memory().namespaces().retrieve("namespace", "operation_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
operation = telnyx.ai.memory.namespaces.retrieve("namespace", "operation_id")
puts(operation)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$operation = $client->ai->memory->namespaces->retrieve(
'namespace',
'operation_id',
);
var_dump($operation);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:memory:namespaces retrieve \
--api-key 'My API Key' \
--namespace namespace \
--operation-id operation_idcurl --request GET \
--url https://api.telnyx.com/v2/ai/memory/namespaces/{namespace}/operations/{operation_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"operation_id": "op_01HZY4M7Q9",
"status": "completed",
"created_at": "2026-08-26T21:14:07Z",
"completed_at": "2026-08-26T21:14:11Z"
}
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "Could not find any usable credentials in the request.",
"source": {
"pointer": "/"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}{
"errors": [
{
"code": "operation_not_found",
"detail": "no such operation"
}
]
}{
"errors": [
{
"code": "upstream_error",
"detail": "the memory dataplane is unavailable"
}
]
}